MS KB2490606: Vulnerability in Graphics Rendering Engine Could Allow Remote Code Execution

High Nessus Plugin ID 51424


It may be possible to execute arbitrary code on the remote host using the graphics rendering engine.


If a remote attacker can trick a user on the affected host into opening a specially crafted bitmap file, the attacker could leverage an as-yet unpatched vulnerability in the graphics rendering engine that arises due to its failure to validate the 'biClrUsed' parameter and thereby execute arbitrary code on the host subject to the user's privileges.


Consider applying the workaround provided by Microsoft.

Note, though, that applying the workaround will lead to some media files not being displayed correctly.

See Also

Plugin Details

Severity: High

ID: 51424

File Name: smb_kb_2490606.nasl

Version: $Revision: 1.12 $

Type: local

Agent: windows

Family: Windows

Published: 2011/01/06

Modified: 2017/08/30

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated, SMB/WindowsVersion, SMB/ARCH

Exploit Available: true

Exploit Ease: Exploits are available

Exploitable With

Metasploit (Microsoft Windows CreateSizedDIBSECTION Stack Buffer Overflow)

Reference Information

CVE: CVE-2010-3970

BID: 45662

OSVDB: 70263

IAVA: 2011-A-0019

MSKB: 2490606